%define api		1.0
%define bname		gstreamer%{api}

%define build_experimental	0
%define build_amrwb	0
%define build_faac	0
%define build_faad	0
%define build_xvid	0
%define build_dts	0
%define build_dirac	0
%define build_gme	1
%define build_celt	0

##########################
# Hardcode PLF build
%define build_plf	0
##########################

%if %{build_plf}
%define distsuffix plf
# make EVR of plf build higher than regular to allow update, needed with rpm5 mkrel
%define extrarelsuffix plf
%define build_amrwb	0
%define build_faac	1
%define build_faad	1
%define build_xvid	0
%define build_dts	1
%endif

%define major			0
%define libadaptivedemux	%mklibname gstadaptivedemux %{api} %{major}
%define devadaptivedemux	%mklibname gstadaptivedemux %{api} -d
%define libbadaudio		%mklibname gstbadaudio %{api} %{major}
%define devbadaudio		%mklibname gstbadaudio %{api} -d
%define libbadbase		%mklibname gstbadbase %{api} %{major}
%define devbadbase		%mklibname gstbadbase %{api} -d
%define libbadvideo		%mklibname gstbadvideo %{api} %{major}
%define devbadvideo		%mklibname gstbadvideo %{api} -d
%define libbase			%mklibname gstbasevideo %{api} %{major}
%define devbase			%mklibname gstbasevideo %{api} -d
%define libcodecparsers		%mklibname gstcodecparsers %{api} %{major}
%define devcodecparsers		%mklibname gstcodecparsers %{api} -d
%define libgl			%mklibname gstgl %{api} %{major}
%define devgl			%mklibname gstgl %{api} -d
%define libinsertbin		%mklibname gstinsertbin %{api} %{major}
%define devinsertbin		%mklibname gstinsertbin %{api} -d
%define libmpegts		%mklibname gstmpegts %{api} %{major}
%define devmpegts		%mklibname gstmpegts %{api} -d
%define libphoto		%mklibname gstphotography %{api} %{major}
%define devphoto		%mklibname gstphotography %{api} -d
%define libplayer		%mklibname gstplayer %{api} %{major}
%define devplayer		%mklibname gstplayer %{api} -d
%define liburidownloader	%mklibname gsturidownloader %{api} %{major}
%define devuridownloader	%mklibname gsturidownloader %{api} -d
%define libgstwayland		%mklibname gstwayland %{api} %{major}
%define devgstwayland		%mklibname gstwayland %{api} -d
%define liballocators		%mklibname gstallocators %{api} %{major}
%define devallocators		%mklibname gstallocators %{api} -d

Summary:	GStreamer Streaming-media framework plug-ins
Name:		%{bname}-plugins-bad
Version:	1.12.2
Release:	1%{?extrarelsuffix}
License:	LGPLv2+ and GPLv2+
Group: 		Sound
Url:		http://gstreamer.freedesktop.org/
Source0:	http://gstreamer.freedesktop.org/src/gst-plugins-bad/gst-plugins-bad-%{version}.tar.xz
BuildRequires:	fonts-ttf-dejavu
%ifarch %{ix86}
BuildRequires:	nasm => 0.90
%endif
BuildRequires:	bzip2-devel
#gw for autoreconf
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(bluez)
BuildRequires:	pkgconfig(check)
BuildRequires: pkgconfig(cairo)
BuildRequires:	pkgconfig(dvdnav)
BuildRequires:	pkgconfig(exempi-2.0)
#gw for the pixbuf plugin
BuildRequires:  pkgconfig(egl)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gstreamer-%{api}) >= %{version}
BuildRequires:	pkgconfig(gstreamer-plugins-base-%{api}) >= %{version}
BuildRequires:	pkgconfig(epoxy)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.5
BuildRequires:  pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(glesv2)
BuildRequires:	pkgconfig(libass)
BuildRequires:	pkgconfig(libcdaudio)
BuildRequires:	pkgconfig(libchromaprint)
BuildRequires:	pkgconfig(libdc1394-2)
BuildRequires:	pkgconfig(libdrm)
BuildRequires:	pkgconfig(libkms)
BuildRequires:	pkgconfig(libmimic)
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	pkgconfig(libmusicbrainz)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(opus)
BuildRequires:	pkgconfig(orc-0.4) >= 0.4.5
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(valgrind)
BuildRequires:	pkgconfig(wayland-client)
BuildRequires:	pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(Qt5WaylandClient)
BuildRequires:	wayland-protocols-devel
%if %{build_plf}
BuildRequires:	pkgconfig(vo-aacenc)
BuildRequires:	pkgconfig(vo-amrwbenc)
%endif
Obsoletes:	%{bname}-voip < 1.6
Obsoletes:	%{bname}-rtpvp8 < 1.6

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of plug-ins that aren't up to par compared
to the rest. They might be close to being good quality, but they're
missing something - be it a good code review, some documentation, a
set of tests, a real live maintainer, or some actual wide use. If the
blanks are filled in they might be upgraded to become part of either
gstreamer-plugins-good or gstreamer-plugins-ugly, depending on the
other factors. If the plug-ins break, you can't complain - instead,
you can fix the problem and send us a patch, or bribe someone into
fixing them for you.  New contributors can start here for things to
work on.

%if %{build_plf}
This package is in restricted repository as it violates some patents.
%endif

%files -f gst-plugins-bad-%{api}.lang
%doc AUTHORS COPYING README NEWS
%{_libdir}/gstreamer-%{api}/libgstaccurip.so
%{_libdir}/gstreamer-%{api}/libgstadpcmdec.so
%{_libdir}/gstreamer-%{api}/libgstadpcmenc.so
%{_libdir}/gstreamer-%{api}/libgstaudiobuffersplit.so
%{_libdir}/gstreamer-%{api}/libgstaudiomixmatrix.so
%{_libdir}/gstreamer-%{api}/libgstaiff.so
%{_libdir}/gstreamer-%{api}/libgstasfmux.so
%{_libdir}/gstreamer-%{api}/libgstaudiofxbad.so
%{_libdir}/gstreamer-%{api}/libgstaudiomixer.so
%{_libdir}/gstreamer-%{api}/libgstaudiovisualizers.so
%{_libdir}/gstreamer-%{api}/libgstautoconvert.so
%{_libdir}/gstreamer-%{api}/libgstbayer.so
%{_libdir}/gstreamer-%{api}/libgstbluez.so
%{_libdir}/gstreamer-%{api}/libgstbz2.so
%{_libdir}/gstreamer-%{api}/libgstcamerabin.so
%{_libdir}/gstreamer-%{api}/libgstchromaprint.so
%{_libdir}/gstreamer-%{api}/libgstcoloreffects.so
%{_libdir}/gstreamer-%{api}/libgstcompositor.so
%{_libdir}/gstreamer-%{api}/libgstdashdemux.so
%{_libdir}/gstreamer-%{api}/libgstdc1394.so
%{_libdir}/gstreamer-%{api}/libgstdebugutilsbad.so
%{_libdir}/gstreamer-%{api}/libgstdecklink.so
%{_libdir}/gstreamer-%{api}/libgstdtls.so
%{_libdir}/gstreamer-%{api}/libgstdvb.so
%{_libdir}/gstreamer-%{api}/libgstdvbsuboverlay.so
%{_libdir}/gstreamer-%{api}/libgstdvdspu.so
%{_libdir}/gstreamer-%{api}/libgstfaceoverlay.so
%{_libdir}/gstreamer-%{api}/libgstfbdevsink.so
%{_libdir}/gstreamer-%{api}/libgstfieldanalysis.so
%{_libdir}/gstreamer-%{api}/libgstfestival.so
%{_libdir}/gstreamer-%{api}/libgstfreeverb.so
%{_libdir}/gstreamer-%{api}/libgstfrei0r.so
%{_libdir}/gstreamer-%{api}/libgstgaudieffects.so
%{_libdir}/gstreamer-%{api}/libgstgdp.so
%{_libdir}/gstreamer-%{api}/libgstgeometrictransform.so
%{_libdir}/gstreamer-%{api}/libgsthls.so
%{_libdir}/gstreamer-%{api}/libgstid3tag.so
%{_libdir}/gstreamer-%{api}/libgstinter.so
%{_libdir}/gstreamer-%{api}/libgstinterlace.so
%{_libdir}/gstreamer-%{api}/libgstivfparse.so
%{_libdir}/gstreamer-%{api}/libgstivtc.so
%{_libdir}/gstreamer-%{api}/libgstjp2kdecimator.so
%{_libdir}/gstreamer-%{api}/libgstjpegformat.so
%{_libdir}/gstreamer-%{api}/libgstkms.so
%{_libdir}/gstreamer-%{api}/libgstlegacyrawparse.so
%{_libdir}/gstreamer-%{api}/libgstmpegtsmux.so
%{_libdir}/gstreamer-%{api}/libgstmidi.so
%{_libdir}/gstreamer-%{api}/libgstmodplug.so
%{_libdir}/gstreamer-%{api}/libgstmpegpsdemux.so
%{_libdir}/gstreamer-%{api}/libgstmpegpsmux.so
%{_libdir}/gstreamer-%{api}/libgstmpegtsdemux.so
%{_libdir}/gstreamer-%{api}/libgstmxf.so
%{_libdir}/gstreamer-%{api}/libgstnetsim.so
%{_libdir}/gstreamer-%{api}/libgstopenal.so
%{_libdir}/gstreamer-%{api}/libgstopusparse.so
%{_libdir}/gstreamer-%{api}/libgstpcapparse.so
%{_libdir}/gstreamer-%{api}/libgstpnm.so
%{_libdir}/gstreamer-%{api}/libgstremovesilence.so
%{_libdir}/gstreamer-%{api}/libgstresindvd.so
%{_libdir}/gstreamer-%{api}/libgstrfbsrc.so
%{_libdir}/gstreamer-%{api}/libgstrtponvif.so
%{_libdir}/gstreamer-%{api}/libgstsdpelem.so
%{_libdir}/gstreamer-%{api}/libgstsegmentclip.so
%{_libdir}/gstreamer-%{api}/libgstshm.so
%{_libdir}/gstreamer-%{api}/libgstsiren.so
%{_libdir}/gstreamer-%{api}/libgstsmooth.so
%{_libdir}/gstreamer-%{api}/libgstsmoothstreaming.so
%{_libdir}/gstreamer-%{api}/libgstsndfile.so
%{_libdir}/gstreamer-%{api}/libgstspeed.so
%{_libdir}/gstreamer-%{api}/libgststereo.so
%{_libdir}/gstreamer-%{api}/libgstsubenc.so
%{_libdir}/gstreamer-%{api}/libgsttimecode.so
%{_libdir}/gstreamer-%{api}/libgstttmlsubs.so
%{_libdir}/gstreamer-%{api}/libgstvcdsrc.so
%{_libdir}/gstreamer-%{api}/libgstvideofiltersbad.so
%{_libdir}/gstreamer-%{api}/libgstvideoframe_audiolevel.so
%{_libdir}/gstreamer-%{api}/libgstvideoparsersbad.so
%{_libdir}/gstreamer-%{api}/libgstvideosignal.so
%{_libdir}/gstreamer-%{api}/libgstvmnc.so
%{_libdir}/gstreamer-%{api}/libgstwebp.so
%{_libdir}/gstreamer-%{api}/libgstyadif.so
%{_libdir}/gstreamer-%{api}/libgsty4mdec.so
%{_libdir}/gstreamer-%{api}/libgstwaylandsink.so
%{_libdir}/gstreamer-%{api}/libgstgtk.so
%if %{build_plf}
%{_libdir}/gstreamer-%{api}/libgstvoaacenc.so
%{_libdir}/gstreamer-%{api}/libgstvoamrwbenc.so
%{_datadir}/gstreamer-%{api}/presets/GstVoAmrwbEnc.prs
%endif
%if %{build_experimental}
%{_libdir}/gstreamer-%{api}/libgstdeinterlace2.so
%endif
%{_datadir}/gstreamer-%{api}/presets/GstFreeverb.prs

#----------------------------------------------------------------------------

%package -n %{libadaptivedemux}
Summary:	Libraries for GStreamer streaming-media framework
Group:		System/Libraries

%description -n %{libadaptivedemux}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libadaptivedemux}
%{_libdir}/libgstadaptivedemux-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devadaptivedemux}
Summary:	Libraries for GStreamer streaming-media framework
Group:		Development/C
Requires:	%{libadaptivedemux} = %{EVRD}
Provides:	gstadaptivedemux%{api}-devel = %{EVRD}

%description -n %{devadaptivedemux}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

%files -n %{devadaptivedemux}
%{_libdir}/libgstadaptivedemux-%{api}.so

#----------------------------------------------------------------------------

%package -n %{libbadaudio}
Summary:	Libraries for GStreamer streaming-media framework
Group:		System/Libraries

%description -n %{libbadaudio}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libbadaudio}
%{_libdir}/libgstbadaudio-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devbadaudio}
Summary:	Libraries for GStreamer streaming-media framework
Group:		Development/C
Requires:	%{libbadaudio} = %{EVRD}
Provides:	gstbadaudio%{api}-devel = %{EVRD}

%description -n %{devbadaudio}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

%files -n %{devbadaudio}
%{_includedir}/gstreamer-%{api}/gst/audio/*
%{_libdir}/libgstbadaudio-%{api}.so
%{_libdir}/pkgconfig/gstreamer-bad-audio-%{api}.pc

#----------------------------------------------------------------------------

%package -n %{libbadbase}
Summary:	Libraries for GStreamer streaming-media framework
Group:		System/Libraries

%description -n %{libbadbase}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libbadbase}
%{_libdir}/libgstbadbase-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devbadbase}
Summary:	Libraries for GStreamer streaming-media framework
Group:		Development/C
Requires:	%{libbadbase} = %{EVRD}
Provides:	gstbadbase%{api}-devel = %{EVRD}

%description -n %{devbadbase}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

%files -n %{devbadbase}
%{_includedir}/gstreamer-%{api}/gst/base/*
%{_libdir}/libgstbadbase-%{api}.so
%{_libdir}/pkgconfig/gstreamer-bad-base-%{api}.pc

#----------------------------------------------------------------------------

%package -n %{libbadvideo}
Summary:	Libraries for GStreamer streaming-media framework
Group:		System/Libraries

%description -n %{libbadvideo}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libbadvideo}
%{_libdir}/libgstbadvideo-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devbadvideo}
Summary:	Libraries for GStreamer streaming-media framework
Group:		Development/C
Requires:	%{libbadvideo} = %{EVRD}
Provides:	gstbadvideo%{api}-devel = %{EVRD}

%description -n %{devbadvideo}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

%files -n %{devbadvideo}
%{_includedir}/gstreamer-%{api}/gst/video/*
%{_libdir}/libgstbadvideo-%{api}.so
%{_libdir}/pkgconfig/gstreamer-bad-video-%{api}.pc

#----------------------------------------------------------------------------

%package -n %{libbase}
Summary:	Libraries for GStreamer streaming-media framework
Group:		System/Libraries

%description -n %{libbase}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libbase}
%{_libdir}/libgstbasecamerabinsrc-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devbase}
Summary:	Libraries and include files for GStreamer streaming-media framework
Group:		Development/C
Requires:	%{libbase} = %{EVRD}
Provides:	gstbasecamerabinsrc%{api}-devel = %{EVRD}
Provides:	gstbasevideo%{api}-devel = %{EVRD}

%description -n %{devbase}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.

%files -n %{devbase}
%{_includedir}/gstreamer-%{api}/gst/basecamerabinsrc/*
%{_libdir}/libgstbasecamerabinsrc-%{api}.so

#----------------------------------------------------------------------------

%package -n %{libcodecparsers}
Summary:	Libraries for GStreamer streaming-media framework
Group:		System/Libraries
Conflicts:	%{_lib}gstphotography1.0_0 < 1.6.2

%description -n %{libcodecparsers}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libcodecparsers}
%{_libdir}/libgstcodecparsers-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devcodecparsers}
Summary:	Libraries and include files for GStreamer streaming-media framework
Group:		Development/C
Requires:	%{libcodecparsers} = %{EVRD}
Provides:	gstcodecparsers%{api}-devel = %{EVRD}
Conflicts:	%{_lib}gstphotographyi1.0-devel < 1.6.2

%description -n %{devcodecparsers}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new   
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.

%files -n %{devcodecparsers}
%{_libdir}/libgstcodecparsers-%{api}.so
%{_includedir}/gstreamer-%{api}/gst/codecparsers/
%{_libdir}/pkgconfig/gstreamer-codecparsers-%{api}.pc

#----------------------------------------------------------------------------

%package -n %{libgl}
Summary:	Libraries for GStreamer streaming-media framework
Group:		System/Libraries

%description -n %{libgl}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libgl}
%{_libdir}/libgstgl-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devgl}
Summary:	Libraries and include files for GStreamer streaming-media framework
Group:		Development/C
Requires:	%{libgl} = %{EVRD}
Provides:	gstgl%{api}-devel = %{EVRD}

%description -n %{devgl}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new   
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.

%files -n %{devgl}
%{_libdir}/libgstgl-%{api}.so
%{_includedir}/gstreamer-%{api}/gst/gl/
%{_libdir}/gstreamer-%{api}/include/gst/gl/gstglconfig.h
%{_libdir}/pkgconfig/gstreamer-gl-%{api}.pc

#----------------------------------------------------------------------------

%package -n %{libinsertbin}
Summary:	Libraries for GStreamer streaming-media framework
Group:		System/Libraries
# package bug
Obsoletes:	%{_lib}gstinsertbin1.0_0-devel < 1.4.5-2

%description -n %{libinsertbin}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libinsertbin}
%{_libdir}/libgstinsertbin-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devinsertbin}
Summary:	Libraries and include files for GStreamer streaming-media framework
Group:		Development/C
Requires:	%{libinsertbin} = %{EVRD}
Provides:	gstinsertbin%{api}-devel = %{EVRD}

%description -n %{devinsertbin}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.

%files -n %{devinsertbin}
%{_libdir}/libgstinsertbin-%{api}.so
%{_includedir}/gstreamer-%{api}/gst/insertbin/*
%{_libdir}/pkgconfig/gstreamer-insertbin-%{api}.pc

#----------------------------------------------------------------------------

%package -n %{libmpegts}
Summary:	Libraries for GStreamer streaming-media framework
Group:		System/Libraries
# package bug
Obsoletes:	%{_lib}gstmpegts1.0_0-devel < 1.4.5-2

%description -n %{libmpegts}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libmpegts}
%{_libdir}/libgstmpegts-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devmpegts}
Summary:	Libraries and include files for GStreamer streaming-media framework
Group:		Development/C
Requires:	%{libmpegts} = %{EVRD}
Provides:	gstmpegts%{api}-devel = %{EVRD}

%description -n %{devmpegts}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.

%files -n %{devmpegts}
%{_libdir}/libgstmpegts-%{api}.so
%{_includedir}/gstreamer-%{api}/gst/mpegts/*
%{_libdir}/pkgconfig/gstreamer-mpegts-%{api}.pc

#----------------------------------------------------------------------------

%package -n %{libphoto}
Summary:	Libraries for GStreamer streaming-media framework
Group:		System/Libraries

%description -n %{libphoto}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libphoto}
%{_libdir}/libgstphotography-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devphoto}
Summary:	Libraries and include files for GStreamer streaming-media framework
Group:		Development/C
Requires:	%{libphoto} = %{EVRD}
Provides:	gstphotography%{api}-devel = %{EVRD}
Conflicts:	%{_lib}gstphotographyi1.0-devel < 1.6.2
Obsoletes:	%{_lib}gstphotographyi1.0-devel < 1.6.2

%description -n %{devphoto}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new   
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.

%files -n %{devphoto}
%{_libdir}/libgstphotography-%{api}.so
%{_includedir}/gstreamer-%{api}/gst/interfaces/photography*
%{_libdir}/pkgconfig/gstreamer-plugins-bad-%{api}.pc

#----------------------------------------------------------------------------

%package -n %{libplayer}
Summary:	Libraries for GStreamer streaming-media framework
Group:		System/Libraries

%description -n %{libplayer}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libplayer}
%{_libdir}/libgstplayer-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devplayer}
Summary:	Libraries and include files for GStreamer streaming-media framework
Group:		Development/C
Requires:	%{libplayer} = %{EVRD}
Provides:	gstplayer%{api}-devel = %{EVRD}

%description -n %{devplayer}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new   
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.

%files -n %{devplayer}
%{_libdir}/libgstplayer-%{api}.so
%{_includedir}/gstreamer-%{api}/gst/player/*
%{_libdir}/pkgconfig/gstreamer-player-%{api}.pc

#----------------------------------------------------------------------------

%package -n %{liburidownloader}
Summary:	Libraries for GStreamer streaming-media framework
Group:		System/Libraries
# package bug
Obsoletes:	%{_lib}gsturidownloader1.0_0-devel < 1.4.5-2

%description -n %{liburidownloader}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{liburidownloader}
%{_libdir}/libgsturidownloader-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devuridownloader}
Summary:	Libraries and include files for GStreamer streaming-media framework
Group:		Development/C
Requires:	%{liburidownloader} = %{EVRD}
Provides:	gsturidownloader%{api}-devel = %{EVRD}

%description -n %{devuridownloader}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.

%files -n %{devuridownloader}
%{_libdir}/libgsturidownloader-%{api}.so
%{_includedir}/gstreamer-%{api}/gst/uridownloader/*

#----------------------------------------------------------------------------

#----------------------------------------------------------------------------

%package -n %{liballocators}
Summary:	Libraries for GStreamer streaming-media framework
Group:		System/Libraries

%description -n %{liballocators}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{liballocators}
%{_libdir}/libgstbadallocators-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devallocators}
Summary:	Libraries and include files for GStreamer streaming-media framework
Group:		Development/C
Requires:	%{liballocators} = %{EVRD}
Provides:	gstallocators%{api}-devel = %{EVRD}

%description -n %{devallocators}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries and includes files necessary to develop
applications and plugins for GStreamer.

%files -n %{devallocators}
%{_libdir}/libgstbadallocators-%{api}.so
%{_includedir}/gstreamer-%{api}/gst/allocators/*
%{_libdir}/pkgconfig/gstreamer-bad-allocators-%{api}.pc

#----------------------------------------------------------------------------

%package -n %{libgstwayland}
Summary:        Libraries for GStreamer streaming-media framework
Group:          System/Libraries

%description -n %{libgstwayland}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{libgstwayland}
%{_libdir}/libgstwayland-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devgstwayland}
Summary:        Libraries for GStreamer streaming-media framework
Group:          Development/C
Requires:	%{libgstwayland} = %{EVRD}
Provides:	gstwayland%{api}-devel = %{EVRD}

%description -n %{devgstwayland}
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

This package contains the libraries.

%files -n %{devgstwayland}
%{_libdir}/libgstwayland-%{api}.so

#----------------------------------------------------------------------------

%package doc
Summary:	GStreamer documennation
Group:		Documentation
BuildArch:	noarch

%description doc
This is the documentation of %{name}.

%files doc
%doc docs/plugins/html
%{_datadir}/gtk-doc/html/

#----------------------------------------------------------------------------

%if %{build_amrwb}
%package -n %{bname}-amrwb
Summary:	GStreamer plug-in for AMR-WB support
Group:		Sound
BuildRequires:	libamrwb-devel
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-amrwb
Plug-in for decoding AMR-WB under GStreamer.

This package is in restricted repository as it violates some patents.

%files -n %{bname}-amrwb
%{_libdir}/gstreamer-%{api}/libgstamrwbenc.so
%{_datadir}/gstreamer-%{api}/presets/GstAmrwbEnc.prs
%endif

#----------------------------------------------------------------------------

%if %{build_celt}
%package -n %{bname}-celt
Summary:	GStreamer plug-in for CELT support
Group:		Video
BuildRequires:	pkgconfig(celt) >= 0.7.0
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-celt
Plug-in for CELT support under GStreamer.

%files -n %{bname}-celt
%{_libdir}/gstreamer-%{api}/libgstcelt.so
%endif

#----------------------------------------------------------------------------

%package -n %{bname}-curl
Summary:	GStreamer Curl plugin
Group:		Networking/Other
BuildRequires:	pkgconfig(libcurl)
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-curl
This is a HTTP plugin for GStreamer based on the curl library.

%files -n %{bname}-curl
%{_libdir}/gstreamer-%{api}/libgstcurl.so

#----------------------------------------------------------------------------

%if %{build_dirac}
%package -n %{bname}-dirac
Summary:	GStreamer dirac plug-in
Group:		Video
BuildRequires:	pkgconfig(dirac) >= 0.9
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-dirac
Dirac encoding and decoding plug-in.

%files -n %{bname}-dirac
%{_libdir}/gstreamer-%{api}/libgstdirac.so
%endif

#----------------------------------------------------------------------------

%if %{build_dts}
%package -n %{bname}-dts
Summary:	GStreamer plug-ins for DTS audio playback
Group:		Sound
BuildRequires:	pkgconfig(libdts)
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-dts
Plug-ins for decoding DTS audio.

%files -n %{bname}-dts
%{_libdir}/gstreamer-%{api}/libgstdtsdec.so
%endif

#----------------------------------------------------------------------------

%if %{build_faac}
%package -n %{bname}-faac
Summary:	GStreamer plug-ins for AAC audio encoding
Group:		Sound
BuildRequires:	libfaac-devel
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-faac
Plug-ins for encoding AAC audio.

This package is in restricted repository as it violates some patents.

%files -n %{bname}-faac
%{_libdir}/gstreamer-%{api}/libgstfaac.so
%endif

#----------------------------------------------------------------------------

%if %{build_faad}
%package -n %{bname}-faad
Summary:	GStreamer plug-in for AAC audio playback
Group:		Sound
BuildRequires:	libfaad2-devel
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-faad
Plug-ins for playing AAC audio

This package is in restricted repository as it violates some patents.

%files -n %{bname}-faad
%{_libdir}/gstreamer-%{api}/libgstfaad.so
%endif

#----------------------------------------------------------------------------

%package -n %{bname}-gl
Summary:	GStreamer OpenGL plug-in
Group:		Sound
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-gl
GStreamer OpenGL plug-in.

%files -n %{bname}-gl
%{_libdir}/gstreamer-%{api}/libgstopengl.so

#----------------------------------------------------------------------------

%if %{build_gme}
%package -n %{bname}-gme
Summary:	GStreamer Game Music plug-in
Group:		Sound
BuildRequires:	libgme-devel
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-gme
Game Music decoding plug-in.

%files -n %{bname}-gme
%{_libdir}/gstreamer-%{api}/libgstgme.so
%endif

#----------------------------------------------------------------------------

%package -n %{bname}-gsm
Summary:	GStreamer plugin for GSM lossy audio format
Group:		Sound
BuildRequires:	gsm-devel >= 1.0.10
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-gsm
Output plugin for GStreamer to convert to GSM lossy audio format.

%files -n %{bname}-gsm
%{_libdir}/gstreamer-%{api}/libgstgsm.so

#----------------------------------------------------------------------------

%package -n %{bname}-libass
Summary:	GStreamer subtitles plugin
Group:		Video
BuildRequires:	pkgconfig(libass)
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-libass
This is a subtitle plugin for GStreamer based on libass.

%files -n %{bname}-libass
%{_libdir}/gstreamer-%{api}/libgstassrender.so

#----------------------------------------------------------------------------

%package -n %{bname}-mms
Summary:	GStreamer plug-in for mms streams
Group:		System/Libraries
BuildRequires:	pkgconfig(libmms)
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-mms
Plug-in supporting the mms protocol based on the libmms library.

%files -n %{bname}-mms
%{_libdir}/gstreamer-%{api}/libgstmms.so

#----------------------------------------------------------------------------

%package -n %{bname}-mpeg2enc
Summary:	GStreamer mjpegtools plug-in
Group:		Video
BuildRequires:	pkgconfig(mjpegtools)
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-mpeg2enc
mjpegtools-based encoding and decoding plug-in.

%files -n %{bname}-mpeg2enc
%{_libdir}/gstreamer-%{api}/libgstmpeg2enc.so
%{_libdir}/gstreamer-%{api}/libgstmplex.so

#----------------------------------------------------------------------------

%package -n %{bname}-rtmp
Summary:	GStreamer plug-in for rtmp streams
Group:		System/Libraries
BuildRequires:	pkgconfig(librtmp)
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-rtmp
Plug-in supporting the rtmp protocol based on the librtmp library.

%files -n %{bname}-rtmp
%{_libdir}/gstreamer-%{api}/libgstrtmp.so

#----------------------------------------------------------------------------

%package -n %{bname}-schroedinger
Summary:	GStreamer dirac plug-in based on Schroedinger
Epoch:		1
Group:		Video
BuildRequires:	pkgconfig(schroedinger-1.0)
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-schroedinger
Dirac encoding and decoding plug-in based on Schroedinger.

%files -n %{bname}-schroedinger
%{_libdir}/gstreamer-%{api}/libgstschro.so

#----------------------------------------------------------------------------

%package -n %{bname}-soundtouch
Summary:	GStreamer plug-in for SoundTouch support
Group:		Sound
BuildRequires:	pkgconfig(soundtouch)
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-soundtouch
Plug-in supporting the SoundTouch audio manipulation support.

%files -n %{bname}-soundtouch
%{_libdir}/gstreamer-%{api}/libgstsoundtouch.so

#----------------------------------------------------------------------------

%if %{build_xvid}
%package -n %{bname}-xvid
Summary:	GStreamer plug-ins for XVID video encoding and decoding
Group:		Video
BuildRequires:	xvid-devel >= 1.1
Requires:	%{bname}-plugins >= %{version}

%description -n %{bname}-xvid
Plug-ins for encoding and decoding XVID video.

This package is in restricted repository as it violates some patents.

%files -n %{bname}-xvid
%{_libdir}/gstreamer-%{api}/libgstxvid.so
%endif

#----------------------------------------------------------------------------

%prep
%setup -qn gst-plugins-bad-%{version}
%apply_patches

%build
%configure2_5x \
	--disable-dependency-tracking \
	--disable-static \
	--with-package-name='%{distribution} %{name} package' \
	--with-package-origin='%{disturl}' \
	--disable-directfb \
	--enable-gtk3 \
	--disable-introspection \
	--disable-opencv \
	--disable-openexr \
	--disable-openjpeg \
	--disable-qt \
	--disable-uvch264 \
	--disable-x265 \
	--enable-wayland \
%if ! %{build_celt}
	--disable-celt \
%endif
%if ! %{build_faac}
	--disable-faac \
%endif
%if ! %{build_faad}
	--disable-faad \
%endif
%if ! %{build_dirac}
	--disable-dirac \
%endif
%if ! %{build_xvid}
	--disable-xvid \
%endif
%if ! %{build_dts}
	--disable-dts \
%endif
%if ! %{build_plf}
	--disable-voaacenc \
	--disable-voamrwbenc \
%endif
%if %{build_experimental}
	--enable-experimental
%endif

make

%install
%makeinstall_std

%find_lang gst-plugins-bad-%{api}


%changelog

* Thu Aug 24 2017 tremod <negry.m@yandex.ru> 1.12.2-1
- (bbcf9b2) Update to 1.12.2

* Tue Jun 27 2017 tremod <negry.m@yandex.ru> 1.12.1-1
- (3e937f7) Update to 1.12.1

* Tue Jan 31 2017 tremod <negry.m@yandex.ru> 1.10.3-1
- (97659cc) Update to 1.10.3

* Sat Jan 14 2017 Victor Ryzhikh <victorr2007@yandex.ru> 1.10.2-2
- (07345ed) enable-wayland-backend

* Wed Dec 07 2016 tremod <negry.m@yandex.ru> 1.10.2-1
- (e4c30f1) Update to 1.10.2

* Thu Nov 24 2016 tremod <negry.m@yandex.ru> 1.10.1-1
- (6f52beb) Update to 1.10.1

* Wed Nov 16 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.10.0-2
- (a6f2256) Bump release

* Sun Nov 06 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.10.0-1
- (82c1da0) Build requires pkgconfig(glu)
- (Andrey Bondrov: 62e4af9) New version 1.10.0
- (Andrey Bondrov: 62e4af9) New libgstgl shared library and development packages
- (Andrey Bondrov: 62e4af9) Build bluez, chromaprint, dc1394, kmssink timecode and webp plugins

* Fri Sep 30 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.8.3-1
- (db3a877) Add new files and packages
- (Andrey Bondrov: 1b6dae5) New version 1.8.3

* Mon Jan 25 2016 Tigro <ashejn@gmail.com> 1.6.3-1
- (d138b66) update to 1.6.3

* Fri Dec 25 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.6.2-2
- (6b881f8) Fix a typo
- (Andrey Bondrov: 4de7ac9) Move Freeverb presets to a proper package
- (Andrey Bondrov: 4de7ac9) More spec cleanups
- (Andrey Bondrov: db8bdfe) Minor cleanups
- (Andrey Bondrov: f0baa90) Split gstcodecparsers files from gstphotography into individual subpackage
- (Andrey Bondrov: 1781e9a) Rename libgstphotographyi1.0-devel to libgstphotography1.0-devel (fix a typo)
- (Andrey Bondrov: 9586519) Spec cleanup

* Thu Dec 24 2015 Tigro <ashejn@gmail.com> 1.6.2-1
- (1fa381e) pack file
- (Tigro: ed90879) pack files
- (Tigro: 25c7597) drop patch
- (Tigro: a2e01c6) decrease release

* Wed Dec 23 2015 Tigro <ashejn@gmail.com> 1.6.2-4
- (2da96af) 1.6.2

* Fri Dec 18 2015 Tigro <ashejn@gmail.com> 1.4.5-4
- (32fe37d) bump release

* Thu Dec 17 2015 Tigro <ashejn@gmail.com> 1.4.5-3
- (191ccbd) update to 1.4.5

* Tue May 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.2.4-4
- (75cc8c8) Bump release

* Wed Apr 22 2015 Arkady Shane <ashejn@gmail.com> 1.4.5-3
- (ea7ad56) Obsoletes in proper place

* Mon Apr 20 2015 Tigro <ashejn@yandex-team.ru> 1.2.4-3
- (a7342df) fix libnames

* Mon Apr 20 2015 Tigro <ashejn@yandex-team.ru> 1.4.5-2
- (0b4700e) fix libnames

* Mon Mar 09 2015 Tigro <ashejn@gmail.com> 1.4.5-1
- (551f234) fix typo in name
- (Tigro: fca3d46) pack more files
- (Tigro: e98c878) fix typo
- (Tigro: 9176193) disable directfb
- (Tigro: 7c549fc) apply uptream patch
- (Tigro: a87dddc) drop patch
- (Tigro: fed3ed4) update to 1.4.5

* Sat Feb 28 2015 Tigro <ashejn@gmail.com> 1.2.4-2
- (4685d2e) rebuild with DVD menu plugin

* Fri May 16 2014 Tigro <arkady.shane@rosalab.ru> 1.2.4-1
- (0321e32) drop gir and typelib files
- (Tigro: 4c8e04e) update to 1.2.4


